#!/usr/bin/env python

import sys

def forceversion(minimum_version=(2, 6), executable=None):
    import sys
    import os

    if sys.version_info < minimum_version:
        if executable is None:
            executable = "/usr/bin/python" + ".".join(map(str, minimum_version[:2]))

        os.execv(executable, [executable] + sys.argv)

sys.modules[__name__] = forceversion
